"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var transpile_1 = require("@cirrusct/transpile");
var externalPath = path.join(__dirname, '..', '__external');
var externalTsPath = path.join(externalPath, 'ts');
var tsConfigFilePath = path.join(__dirname, '..', 'tsconfig.json');
var ts = require("typescript");
var project = new transpile_1.TsProject({
    tsConfig: tsConfigFilePath,
    projectPath: externalTsPath
});
//const program = createProgram(tsConfigFilePath, externalTsPath);
var tmp = project.program.getSourceFiles().filter(function (p) { return !p.fileName.endsWith('d.ts'); });
//const r = project.emit();
var y = project.getDiagnostics();
var formatDiagnosticsHost = {
    getCanonicalFileName: function (fileName) { return fileName; },
    getCurrentDirectory: function () { return process.cwd(); },
    getNewLine: function () { return ts.sys.newLine; }
};
var formated = ts.formatDiagnosticsWithColorAndContext(y, formatDiagnosticsHost);
console.log(formated);
debugger;
transpile_1.initBabel();
//const x = require('C:\\Temp\\ts-compile-test\\index.js')
var x = require(path.join(externalTsPath, 'index.js'));
debugger;
console.log('test');
//# sourceMappingURL=index.js.map