import * as path from 'path';
import { TsProject, initBabel } from '@cirrusct/transpile';

const externalPath = path.join(__dirname, '..', '__external');
const externalTsPath = path.join(externalPath, 'ts');
const tsConfigFilePath = path.join(__dirname, '..', 'tsconfig.json');
import * as ts from 'typescript';

const project = new TsProject({
    tsConfig: tsConfigFilePath,
    projectPath: externalTsPath
})

//const program = createProgram(tsConfigFilePath, externalTsPath);

const tmp = project.program.getSourceFiles().filter(p => !p.fileName.endsWith('d.ts'));

//const r = project.emit();

const y = project.getDiagnostics();

const formatDiagnosticsHost = {
    getCanonicalFileName: fileName => fileName,
    getCurrentDirectory: () => process.cwd(),
    getNewLine: () => ts.sys.newLine
};

const formated = ts.formatDiagnosticsWithColorAndContext(y, formatDiagnosticsHost);
console.log(formated);

debugger

initBabel();
//const x = require('C:\\Temp\\ts-compile-test\\index.js')
const x = require(path.join(externalTsPath, 'index.js'));



debugger

console.log('test');
